Create BudgetAsk AIpost https://api.umbrellacost.io/api/v2/budgetsThe call is used to create budgets and budget alertsBody ParamsbudgetNamestringrequiredThe name in the Umbrella Cost UIcostTypestringrequiredValid values: “amortized”,”net_amortized”,”unblended”budgetTypestringrequiredValid values: “recurring”, “expiring”budgetAmountTypestringrequiredValid values: “fixed”,”planned”budgetAmountintegerrequiredThe total budgetbudgetAmountsarray of stringsrequiredAn array of amount and month pairs. Example: {"amount": 1234 ,"date": "2024-2"},{"amount": 5000 ,"date": "2024-3"}budgetAmounts*ADD stringisFlexiblestringrequiredValid Values: "true", "false"isRelativeAlertsstringDo not use this parameterperiodintegerrequiredValid values: 0-"Monthly", 1-"Quarterly", 2-"Yearly"startDatedate-timerequiredExample: “2024-02-11T09:25:29.800Z”endDatedate-timerequiredExample: "2025-02-11T09:25:29.809Z"includeFiltersstringobject of filter keys - Example: {"region": ["af-south-1"]}excludeFiltersstringobject of filter keys - Example: {"chargetype": ["Tax"]}budgetAlertsarray of stringsAn array of alerts defined over the budgetbudgetAlertsADD stringwhenToAlertarray of stringsrequiredValid values: “forecasted", ”actualUsage” of bothwhenToAlert*ADD stringalertGranularityarray of stringsrequiredValid values: ”monthly”, “daily”, “total” or combinations of themalertGranularity*ADD stringalertPercent stringrequiredBudget percent utilization theresholdalertEmailstringrequiredvalid email addresses, separated by commasHeadersAuthorizationstringrequiredapikeystringrequiredResponse 200Updated 5 months ago